// TPitchLineCircle.h
#ifndef _TPitchLineCircle_H
#define _TPitchLineCircle_H

#include "TPitchLineGen.h"

/*
001BE690 TPitchLineCircle::~TPitchLineCircle()
001BE184 TPitchLineCircle::GetType()
001BD85C TPitchLineCircle::Clamp(CFTTVector32)
001BE378 TPitchLineCircle::Identical(TPitchLineGen *)
001BE490 TPitchLineCircle::Render()
001BDDE0 TPitchLineCircle::Transform(uchar)
001BD846 TPitchLineCircle::Translate(CFTTVector32)
001BDD48 TPitchLineCircle::Valid()
001BE650 TPitchLineCircle::Clone()
*/

class TPitchLineCircle : public TPitchLineGen {
public:
  virtual ~TPitchLineCircle();             // 001BE690
  virtual int GetType();                   // 001BE184
  virtual void Clamp(CFTTVector32);        // 001BD85C
  virtual bool Identical(TPitchLineGen*);  // 001BE378
  virtual void Render();                   // 001BE490
  virtual void Transform(uchar);           // 001BDDE0
  virtual void Translate(CFTTVector32);    // 001BD846
  virtual bool Valid();                    // 001BDD48
  virtual TPitchLineGen* Clone();          // 001BE650

  // vptr
  CFTTVector32 vec32_4;
  float field_10;
  float field_14;
  float field_18;
  float f_1C;

  static int s_eType;
};

#endif  //_TPitchLineCircle_H